Manual inheritance and membership

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
Vehicle Struct Reference

Vehicle type. More...

Inheritance diagram for Vehicle:

List of all members.

## Public Member Functions
void | vehicleStart (Vehicle *obj)
void | vehicleStop (Vehicle *obj)
Public Member Functions inherited from Object
static Object * | objRef (Object *obj)
static Object * | objUnref (Object *obj)

## Protected Attributes
Object | base
| Base class.

## Detailed Description

Vehicle type.

Vehicle class.

## Member Function Documentation

void vehicleStart | ( | Vehicle * | obj | ) |

Starts the vehicle.

Referenced by main().

void vehicleStop | ( | Vehicle * | obj | ) |

Stops the vehicle.

The documentation for this struct was generated from the following file:

- manual.c